defmodule Diffuser.Repo.Migrations.CreateVotes do
  use Ecto.Migration

  def change do
    create table(:votes) do
      add :prompt_request_id, references(:prompt_requests, on_delete: :nothing)

      timestamps()
    end

    create index(:votes, [:prompt_request_id])
  end
end
