defmodule Diffuser.AccountsFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Diffuser.Accounts` context.
  """

  @doc """
  Generate a user.
  """
  def user_fixture(attrs \\ %{}) do
    {:ok, user} =
      attrs
      |> Enum.into(%{

      })
      |> Diffuser.Accounts.create_user()

    user
  end

  @doc """
  Generate a vote.
  """
  def vote_fixture(attrs \\ %{}) do
    {:ok, vote} =
      attrs
      |> Enum.into(%{

      })
      |> Diffuser.Accounts.create_vote()

    vote
  end
end
