defmodule DiffuserWeb.Plugs.ValidateAdmin do
  use DiffuserWeb, :controller
  import Plug.Conn

  def init(default), do: default

  def call(%{remote_ip: remote_ip} = conn, _) do
    remote_ip = remote_ip |> :inet_parse.ntoa() |> to_string()

    if remote_ip == "127.0.0.1" do
      conn |> put_session(:is_admin, true)
    else
      conn |> put_session(:is_admin, false)
    end
  end
end
